package com.caimei.www.controller.authorized;

import com.caimei.www.controller.BaseController;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

@Controller
public class PayController extends BaseController {
    /** 微信小程序网银支付链接页 */
    private static final String CAIMAI_PAY = "pay/caimei-pay";

    /** 微信小程序网银支付链接页 */
    private static final String CAIMAI_PAYCASH= "pay/caimei-paycash";

    /** 微信小程序网银支付链接页 */
    private static final String CAIMAI_MOBILE = "pay/caimei-paymobile";

    /** 微信小程序网银支付链接页 */
    private static final String CAIMAI_STARSPAY = "pay/caimei-starspay";

    /** 微信小程序网银支付链接页 */
    private static final String CAIMAI_SUCCESS = "pay/caimei-success";

    /** 微信小程序网银支付链接页 */
    private static final String CAIMAI_WECHAT = "pay/caimei-wechatpay";

    /**
     * 微信小程序网银支付链接页
     */
    @GetMapping("/pay/caimei-pay.html")
    public String caimeiPay() {
        return CAIMAI_PAY;
    }

    /**
     * 订单支付初始化页面
     */
    @GetMapping("/pay/caimei-paycash.html")
    public String caimeiPayCash() {return CAIMAI_PAYCASH; }

    /**
     * 移动支付扫码页
     */
    @GetMapping("/pay/caimei-paymobile.html")
    public String caimeiPayMobile() {return CAIMAI_MOBILE; }

    /**
     * 星范小程序网银支付页
     */
    @GetMapping("/pay/caimei-starspay.html")
    public String caimeiStarspay() {return CAIMAI_STARSPAY; }

    /**
     * 支付成功页面
     */
    @GetMapping("/pay/success.html")
    public String success() {return CAIMAI_SUCCESS; }

    /**
     * 微信H5支付页面
     */
    @GetMapping("/pay/wechatpay.html")
    public String wechatpay() {return CAIMAI_WECHAT; }
}
